PDA

View Full Version : [ubuntu] Ubuntu firefox updated to russian version!



pagheca
July 21st, 2009, 10:31 AM
Hi,

I was trying to update Firefox to 3.5 in Jaunty. I attempted several suggestion but all of them ended with a problem with the PGP key like this:

W: GPG error: http://packages.medibuntu.org jaunty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 2EBC26B60C5A2783
W: GPG error: http://ppa.launchpad.net jaunty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY A6DCF7707EBC211F
W: GPG error: http://dl.google.com stable Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY A040830F7FAC5991
W: Failed to fetch http://no.archive.ubuntu.com/dists/edgy/main/binary-i386/Packages 404 Not Found

(note that I followed all the procedures, including the sudo apt-key ... command).

At the end I tried by using ubuntuzilla:

ubuntuzilla.py -a install -p firefox

Apparently everything went ok. I selected uk as the language (option 72) and went ahead.

When I started mozilla it was actually version 3.5, but in Cyrillic!!! I'm able to read some Russian but I would like to go back to the English version and it's really difficult because I can't easily search for hints and tips. That's why I'm writing to this forum rather than to the more appropriate ubuntuzilla or firefox forum....

Can someone tell me what is going on and how to go back to the original version please? Thanks very much!

pagheca

Sef
July 21st, 2009, 11:20 AM
I would uninstall firefox and reinstall it from the Ubuntu PPA (https://launchpad.net/%7Eubuntu-mozilla-daily/+archive/ppa).

Moved to ABT.

nothingspecial
July 21st, 2009, 11:31 AM
Hi,

I was trying to update Firefox to 3.5 in Jaunty. I attempted several suggestion but all of them ended with a problem with the PGP key like this:

W: GPG error: http://packages.medibuntu.org jaunty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 2EBC26B60C5A2783
W: GPG error: http://ppa.launchpad.net jaunty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY A6DCF7707EBC211F
W: GPG error: http://dl.google.com stable Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY A040830F7FAC5991
W: Failed to fetch http://no.archive.ubuntu.com/dists/edgy/main/binary-i386/Packages 404 Not Found

(note that I followed all the procedures, including the sudo apt-key ... command).

At the end I tried by using ubuntuzilla:

ubuntuzilla.py -a install -p firefox

Apparently everything went ok. I selected uk as the language (option 72) and went ahead.

When I started mozilla it was actually version 3.5, but in Cyrillic!!! I'm able to read some Russian but I would like to go back to the English version and it's really difficult because I can't easily search for hints and tips. That's why I'm writing to this forum rather than to the more appropriate ubuntuzilla or firefox forum....

Can someone tell me what is going on and how to go back to the original version please? Thanks very much!

pagheca

I`ll bet you did the same thing as me. When you chose your location during the install did you choose uk, assuming that meant United Kingdom?

Opps that stands for Ukraine. Run the script again and choose en-gb instead.

Did I feel stupid?\\:D/

pagheca
July 21st, 2009, 11:58 AM
Yep... I realized that suddenly. UK = Ukraine, not United Kingdom. The correct selection is 13.

I really feel stupid... sorry about bothering people here :D:D:D:D

pagheca

nothingspecial
July 21st, 2009, 12:01 PM
I have quite a long list of "stupid things I have done whilst using linux". I may post them in the cafe one day.